commit 07158d34437e58145aab006489e6b2acc1699f61
Author: freddy77 <freddy77>
Date:   Thu Feb 26 19:04:10 2009 +0000

    MingW fixes

diff --git a/ChangeLog b/ChangeLog
index 5ffb819..d3df53d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Thu Feb 26 20:04:00 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac src/dblib/bcp.c:
+	- fixes for MingW
+	- don't use old winsock library
+
 Mon Feb 23 17:07:41 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c: applied patch by Amir Shamsuddin to fix core
 
@@ -1309,4 +1314,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2728 2009/02/23 16:08:33 freddy77 Exp $
+$Id: ChangeLog,v 1.2729 2009/02/26 19:04:10 freddy77 Exp $
diff --git a/configure.ac b/configure.ac
index f49be71..f399bfe 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.38 2008/12/20 06:01:26 jklowden Exp $
+dnl $Id: configure.ac,v 1.39 2009/02/26 19:04:10 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.38 $)
+AC_REVISION($Revision: 1.39 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -143,10 +143,10 @@ case $host in
 	tds_mingw=yes
 	if test "$host_cpu" = "x86_64"; then
 		LIBS="-lws2_32"
-	elif test -r /usr/lib/w32api/libwsock32.a; then
-		LIBS="-L/usr/lib/w32api -lwsock32"
+	elif test -r /usr/lib/w32api/libws2_32.a; then
+		LIBS="-L/usr/lib/w32api -lws2_32"
 	else
-		LIBS="-lwsock32"
+		LIBS="-lws2_32"
 	fi
 	AM_CONDITIONAL(MINGW32, true)
 	;;
@@ -433,7 +433,8 @@ TDS_NULL_IS_ZERO
 AC_CHECK_FUNCS([vsnprintf _vsnprintf gettimeofday \
 nl_langinfo locale_charset setenv putenv \
 getuid getpwuid getpwuid_r fstat alarm fork \
-gethrtime localtime_r setitimer])
+gethrtime localtime_r setitimer _lseeki64 _telli64 \
+_fseeki64 _ftelli64])
 OLD_LIBS="$LIBS"
 LIBS="$LIBS $NETWORK_LIBS"
 AC_CHECK_FUNCS([inet_ntoa_r getipnodebyaddr getipnodebyname \
diff --git a/src/dblib/bcp.c b/src/dblib/bcp.c
index 78a8141..9303dd2 100644
--- a/src/dblib/bcp.c
+++ b/src/dblib/bcp.c
@@ -61,15 +61,20 @@
 #define MAX(a,b) ( (a) > (b) ? (a) : (b) )
 #endif
 
-TDS_RCSID(var, "$Id: bcp.c,v 1.180 2009/01/31 19:13:20 jklowden Exp $");
+TDS_RCSID(var, "$Id: bcp.c,v 1.181 2009/02/26 19:04:10 freddy77 Exp $");
 
 #ifdef HAVE_FSEEKO
 typedef off_t offset_type;
 #elif defined(WIN32) || defined(WIN64)
 /* win32 version */
 typedef __int64 offset_type;
-#define fseeko(f,o,w) (_fseeki64((f),o,w) == -1)
-#define ftello(f) _ftelli64((f))
+# if defined(HAVE__FSEEKI64) && defined(HAVE__FTELLI64)
+#  define fseeko(f,o,w) (_fseeki64((f),o,w) == -1)
+#  define ftello(f) _ftelli64((f))
+# else
+#  define fseeko(f,o,w) (_lseeki64(fileno(f),o,w) == -1)
+#  define ftello(f) _telli64(fileno(f))
+# endif
 #else
 /* use old version */
 #define fseeko(f,o,w) fseek(f,o,w)

